TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

UpperTriangularMatrix ( rng R, seq() Q ) -> elt-alg^mat

### Description

<shortdoc> The n by n upper-triangular matrix F over R, where #Q is n*(n+1)/2 and where the entries of Q, coerced into R, describe the upper triangular part of F, in row-major order. </shortdoc>

### Examples

UpperTriangularMatrix(FiniteField(7),[1,2,3]);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack